Hi,
	When trying to compile ruby-frontbase version 1.0.1 on a G5 PPC  
machine, I get this:

# gem install ruby-frontbase
Building native extensions.  This could take a while...
ERROR:  While executing gem ... (Gem::Installer::ExtensionBuildError)
     ERROR: Failed to build gem native extension.

ruby extconf.rb install ruby-frontbase
creating Makefile

make
gcc -I. -I/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/ 
lib/ruby/1.8/universal-darwin9.0 -I/System/Library/Frameworks/ 
Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/universal-darwin9.0 -I. - 
I/Library/FrontBase/include -fno-common -arch ppc -arch i386 -Os -pipe  
-fno-common  -c frontbase.c
frontbase.c:24: error: redefinition of 'struct FBCLob'
frontbase.c:27: error: redefinition of typedef 'FBCLob'
/Library/FrontBase/include/FBCAccess/FBCRow.h:49: error: previous  
declaration of 'FBCLob' was here
frontbase.c:29: error: redefinition of typedef 'FBCColumn'
/Library/FrontBase/include/FBCAccess/FBCRow.h:14: error: previous  
declaration of 'FBCColumn' was here
frontbase.c:32: error: redefinition of 'union FBCColumn'
frontbase.c:63: error: redefinition of typedef 'FBCRow'
/Library/FrontBase/include/FBCAccess/FBCRow.h:103: error: previous  
declaration of 'FBCRow' was here
frontbase.c:24: error: redefinition of 'struct FBCLob'
frontbase.c:27: error: redefinition of typedef 'FBCLob'
/Library/FrontBase/include/FBCAccess/FBCRow.h:49: error: previous  
declaration of 'FBCLob' was here
frontbase.c:29: error: redefinition of typedef 'FBCColumn'
/Library/FrontBase/include/FBCAccess/FBCRow.h:14: error: previous  
declaration of 'FBCColumn' was here
frontbase.c:32: error: redefinition of 'union FBCColumn'
frontbase.c:63: error: redefinition of typedef 'FBCRow'
/Library/FrontBase/include/FBCAccess/FBCRow.h:103: error: previous  
declaration of 'FBCRow' was here
lipo: can't open input file: /var/tmp//ccaAFraO.out (No such file or  
directory)
make: *** [frontbase.o] Error 1


Gem files will remain installed in /Library/Ruby/Gems/1.8/gems/ruby- 
frontbase-1.0.1 for inspection.
Results logged to /Library/Ruby/Gems/1.8/gems/ruby-frontbase-1.0.1/ 
gem_make.out

Does anyone a) how to fix this and/or b) whom I should contact about  
getting the gem to work under Leopard?

Thanks.